Subject: Re: [PATCH] libbpf: Fix up generation of bpf_helper_defs.h

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 26 Nov 2019 17:38:18 +0100

Arnaldo Carvalho de Melo <[email-masked]> writes:

> Em Tue, Nov 26, 2019 at 12:10:45PM -0300, Arnaldo Carvalho de Melo escreveu:
>> Hi guys,
>> 
>>    While merging perf/core with mainline I found the problem below for
>> which I'm adding this patch to my perf/core branch, that soon will go
>> Ingo's way, etc. Please let me know if you think this should be handled
>> some other way,
>
> This is still not enough, fails building in a container where all we
> have is the tarball contents, will try to fix later.

Wouldn't the right thing to do not be to just run the script, and then
put the generated bpf_helper_defs.h into the tarball?

-Toke